# How to contribute to PolyChaos

Contributions are always welcome!
It's the foundation on which open source software is built.

## Fix the docs
Whenever you feel the [documentation](https://timueh.github.io/PolyChaos.jl/stable/) needs to be improved, then you are more than welcome to do that.
The documentation is written with [Documenter](https://juliadocs.github.io/Documenter.jl/stable/) and the source code is [here](https://github.com/timueh/PolyChaos.jl/tree/master/docs/src).
Minor changes can be dealt with directly via GitHub, see [GitHub's explanation](https://help.github.com/en/articles/editing-files-in-another-users-repository).
More substantial changes should be dealt with locally first and then result in a pull request.

## Fix the code
Julia packages are hosted on GitHub.
If you are new to Git/GitHub, then perhaps walk through [this site](https://try.github.io/).
The process of creating a Julia package is explained [here](https://docs.julialang.org/en/v1/stdlib/Pkg/#Developing-packages-1).

Once you are comfortable with Git/GitHub, follow this process:
1. Find an [open issue](https://github.com/timueh/PolyChaos.jl/issues) or open a new one.
2. Let other people know what you have in mind.
3. Make your changes + write tests for the changes you made.
4. Send a pull request via GitHub and, if applicable, address any comments.

Thanks for the journey.
